#!/bin/bash
#
#	ATOK X3 for Linux Update Module Install Shell Script
#	(C) 2008-2009 JustSystems Corporation
#

dir=`dirname $0`
if [ "$dir" != "" ] ; then
	cd $dir
fi

nodeps=""
force="no"
if [ $# -ne 0 ] ; then
	for arg in $* ; do
		case ${arg} in
		--nodeps)
			nodeps="--nodeps"
			;;
		--force)
			force="yes"
			;;
		*)
			echo "invalid args"
			exit 1
			;;
		esac
	done
fi

PATH="/sbin:/usr/sbin:/bin:/usr/bin:/usr/X11R6/bin"
export PATH
LANG=C
export LANG
umask 0

if [ $EUID -ne 0 ] ; then
	echo 'The current user is not the superuser.'
	exit 1
fi

if [ $force == "no" ] ; then
	result=`rpm -q iiimf-server-trunk_r3104`
	if [ $? -ne 0 ] ; then
		echo '"ATOK X3 for Linux" is not installed.'
		exit 1
	fi

	result=`rpm -q atokx-20.0`
	if [ $? -ne 0 ] ; then
		echo '"ATOK X3 for Linux" is not installed.'
		exit 1
	fi
fi

machine=`uname -m`

rpm -Uvh --replacepkgs $nodeps ./bin/IIIMF/iiimf-server-trunk_r3104-js3.i386.rpm
if [ $? -ne 0 ] ; then
	echo 'Update has been failed.'
	exit 1
fi
rpm -Uvh --replacepkgs $nodeps ./bin/IIIMF/iiimf-gtk-trunk_r3104-js3.i386.rpm
if [ $? -ne 0 ] ; then
	echo 'Update has been failed.'
	exit 1
fi
if [ "$machine" == "x86_64" ] ; then
	rpm -Uvh --replacepkgs $nodeps ./bin/IIIMF/iiimf-gtk-64-trunk_r3104-js3.x86_64.rpm
	if [ $? -ne 0 ] ; then
		echo 'Update has been failed.'
		exit 1
	fi
fi

echo tar xfz ./bin/ATOK/atokxup-20.0-3.0.0.i386.tar.gz -C /
tar xfz ./bin/ATOK/atokxup-20.0-3.0.0.i386.tar.gz -C /
if [ $? -ne 0 ] ; then
	echo 'Update has been failed.'
	exit 1
fi

echo 'Update has been completed.'

exit 0
