#!/bin/bash
#
#	ATOK X3 for Linux Update Module Install Shell Script
#	(C) 2008-2009 JustSystems Corporation
#

checkinstall()
{
	pacstat=`dpkg-query --show --showformat='${Status}' $1`
	if [ $? -ne 0 ] ; then
		echo '"ATOK X3 for Linux" is not installed.'
		exit 1
	fi
	if [ "install ok installed" != "$pacstat" ] ; then
		echo '"ATOK X3 for Linux" is not installed.'
		exit 1
	fi
	pacver=`dpkg-query --show --showformat='${Version}' $1`
	if [ $? -ne 0 ] ; then
		echo '"ATOK X3 for Linux" is not installed.'
		exit 1
	fi
	pacver=`echo $pacver | sed -e 's/-.*//'`
	if [ "$2" != "$pacver" ] ; then
		echo '"ATOK X3 for Linux" is not installed.'
		exit 1
	fi
}

dir=`dirname $0`
if [ "$dir" != "" ] ; then
	cd $dir
fi

nodeps=""
force="no"
if [ $# -ne 0 ] ; then
	for arg in $* ; do
		case ${arg} in
		--nodeps)
			nodeps="--force-depends"
			;;
		--force)
			force="yes"
			;;
		*)
			echo "invalid args"
			exit 1
			;;
		esac
	done
fi

PATH="/sbin:/usr/sbin:/bin:/usr/bin:/usr/X11R6/bin"
export PATH
LANG=C
export LANG
umask 0

if [ $EUID -ne 0 ] ; then
	echo 'The current user is not the superuser.'
	exit 1
fi

if [ $force == "no" ] ; then
	checkinstall iiimf-server trunk_r3104
	checkinstall atokx 20.0
fi

dpkg --install $nodeps ./bin/IIIMF/iiimf-server_trunk_r3104-js3_i386.deb
if [ $? -ne 0 ] ; then
	echo 'Update has been failed.'
	exit 1
fi
dpkg --install $nodeps ./bin/IIIMF/iiimf-gtk_trunk_r3104-js3_i386.deb
if [ $? -ne 0 ] ; then
	echo 'Update has been failed.'
	exit 1
fi

echo tar xfz ./bin/ATOK/atokxup-20.0-3.0.0.i386.tar.gz -C /
tar xfz ./bin/ATOK/atokxup-20.0-3.0.0.i386.tar.gz -C /
if [ $? -ne 0 ] ; then
	echo 'Update has been failed.'
	exit 1
fi

echo 'Update has been completed.'

exit 0
